package com.common.entity.RuleContent;
import java.util.List;
import java.util.ArrayList;
import com.fasterxml.jackson.annotation.JsonProperty;
import com.common.entity.RuleContent.*;


public class Root {
    private Integer field_cate_id;
    private Integer field_cate_table_name;
    private String rule_name;
    private String data_type;
    private String decode;
    private List<String> keywords;
    private Cropper_paramsType cropper_params;
    private Object second_parsers;
    private Object second_parsers_v2;
    private List<MappersType> mappers;
    private String filters_params;
    private List<Complete_paramsType> complete_params;
    private String complete_columns;
    private Integer data_storage_medium;

    // Constructors
    public Root() {}

    // Getters and Setters
    public Integer getfield_cate_id() {
        return field_cate_id;
    }

    public void setfield_cate_id(Integer field_cate_id) {
        this.field_cate_id = field_cate_id;
    }

    public Integer getfield_cate_table_name() {
        return field_cate_table_name;
    }

    public void setfield_cate_table_name(Integer field_cate_table_name) {
        this.field_cate_table_name = field_cate_table_name;
    }

    public String getrule_name() {
        return rule_name;
    }

    public void setrule_name(String rule_name) {
        this.rule_name = rule_name;
    }

    public String getdata_type() {
        return data_type;
    }

    public void setdata_type(String data_type) {
        this.data_type = data_type;
    }

    public String getdecode() {
        return decode;
    }

    public void setdecode(String decode) {
        this.decode = decode;
    }

    public List<String> getkeywords() {
        return keywords;
    }

    public void setkeywords(List<String> keywords) {
        this.keywords = keywords;
    }

    public Cropper_paramsType getcropper_params() {
        return cropper_params;
    }

    public void setcropper_params(Cropper_paramsType cropper_params) {
        this.cropper_params = cropper_params;
    }

    public Object getsecond_parsers() {
        return second_parsers;
    }

    public void setsecond_parsers(Object second_parsers) {
        this.second_parsers = second_parsers;
    }

    public Object getsecond_parsers_v2() {
        return second_parsers_v2;
    }

    public void setsecond_parsers_v2(Object second_parsers_v2) {
        this.second_parsers_v2 = second_parsers_v2;
    }

    public List<MappersType> getmappers() {
        return mappers;
    }

    public void setmappers(List<MappersType> mappers) {
        this.mappers = mappers;
    }

    public String getfilters_params() {
        return filters_params;
    }

    public void setfilters_params(String filters_params) {
        this.filters_params = filters_params;
    }

    public List<Complete_paramsType> getcomplete_params() {
        return complete_params;
    }

    public void setcomplete_params(List<Complete_paramsType> complete_params) {
        this.complete_params = complete_params;
    }

    public String getcomplete_columns() {
        return complete_columns;
    }

    public void setcomplete_columns(String complete_columns) {
        this.complete_columns = complete_columns;
    }

    public Integer getdata_storage_medium() {
        return data_storage_medium;
    }

    public void setdata_storage_medium(Integer data_storage_medium) {
        this.data_storage_medium = data_storage_medium;
    }

}